org.apache.sling.bgservlets

## Interface JobStorage

All Known Implementing Classes:
  JobStorageImpl

    public interface JobStorage

Store and retrieve job data persistently

### Method Summary

Methods
`JobData` `createJobData(javax.jcr.Session s)` Create a JobData object for a new job
`JobData` `getJobData(javax.jcr.Node ns)` Retrieve an existing JobData object

### Method Detail

#### createJobData

    JobData createJobData(javax.jcr.Session s)

Create a JobData object for a new job

#### getJobData

    JobData getJobData(javax.jcr.Node ns)

Retrieve an existing JobData object